---
title: "Get team invite"
url: "https://docs.signnow.com/docs/manage-users/operations/get-team-invite"
type: "endpoint"
section: "manage-users"
slug: "manage-users/operations/get-team-invite"
method: "GET"
path: "/team/{request_id}/request"
operation_id: "get-team-invite"
authorization: "bearer"
---

# Get team invite

`GET /team/{request_id}/request`

This endpoint returns information about user's invite.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `request_id` | string | Yes |  |

## Responses

### 200

Possible statuses of `request_status`:

* `waiting`: user didn't accept or reject the invite.
* `approved`: user accepted the invite.
* `denied`: user or team admin rejected the invite.
* `unknown` - an error occured.



**Example** (`application/json`)

```json
{
  "team_id": "c7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "team_name": "HR",
  "request_id": "0aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "request_status": "approved"
}
```

### 400

* The invite is not for this user.
* Invite not found.

**Example** (`Invite not found`)

```json
{
  "code": 66392,
  "message": "Team request not found"
}
```

**Example** (`Invite belongs to another user`)

```json
{
  "code": 65598,
  "message": "You cannot access somebody else's team request"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/team/{request_id}/request" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-users/operations/get-team-invite*
